import request from '@/utils/request'

// 查询服务包基础信息列表
export function listServicepackage(query) {
    return request({
        url: '/manage/servicepackage/list',
        method: 'get',
        params: query
    })
}
// 查询服务方式

export function serviceWayList(query) {
    return request({
        url: '/manage/servicewaycontent/serviceWayList',
        method: 'get',
        params: query
    })
}
// 查询服务内容
export function serviccontent(serviceWayId) {
    return request({
        url: `/manage/servicewaycontent/list?serviceWayId=${serviceWayId}`,
        method: 'get',
    })
}
// 发布


export function editReleaseStatus(id,whetherRelease) {
    return request({
        url: `/manage/servicepackage/editReleaseStatus?id=${id}&whetherRelease=${whetherRelease}`,
        method: 'put',
    })
}
// 查询服务包基础信息详细
export function getServicepackage(id) {
    return request({
        url: '/manage/servicepackage/' + id,
        method: 'get'
    })
}

// 新增服务包基础信息
export function addServicepackage(data) {
    return request({
        url: '/manage/servicepackage/add',
        method: 'post',
        data: data
    })
}

// 修改服务包基础信息
export function updateServicepackage(data) {
    return request({
        url: '/manage/servicepackage/edit',
        method: 'put',
        data: data
    })
}

// 删除服务包基础信息
export function delServicepackage(id) {
    return request({
        url: '/manage/servicepackage/remove/' + id,
        method: 'delete'
    })
}
// 左侧列表
export function listServicePackageNum(query) {
    return request({
        url: '/system/department/listServicePackageNum',
        method: 'get',
        params: query
    })
}


